import astropy,os,scipy
#from pyfits import getdata
#from pyfits import getheader
#from pyfits import getval
import numpy as np
from astropy.io import fits

os.system('ls e*.fits > fits.lst')

for k in range(16):
    print('CCD  ',k+1)
    list=[]
    data=np.empty((2048,2036))
    data1=np.empty((2048,2036))
    j=0
    for line in open("fits.lst"):
        line=line.strip("\n")
        bias_name='bias_'+line[1:6]+'fits'
        object=fits.getval(line,'IMAGETYP',0)

        if object == 'zero':
            zero=fits.open(line)
            xx=int(fits.open(line)[1].header['NAXIS1'])
            yy=int(fits.open(line)[1].header['NAXIS2'])

            if (j == 0) and  (k == 0):
                zero1=zero

            data=zero[k+1].data[:2048,:2036]

            list.append(data)
            j=j+1

    bias=np.array(list)

##    for m in range(2048):
##        for n in range(2036):
##            zero1[k+1].data[m,n]=np.median(bias[0:,m,n])

    bias.sort(0)#np.median(bias[0:])

    data1=np.empty((yy,xx),dtype=np.float32)
    
    bias1=0.5*(bias[(j-1)/2,:,:]+bias[j/2,:,:])

    zero1[k+1].data[:2048,:2036]=bias1

for k in range(16):
    data=zero[k+1].data[:2048,:2036]
    zero[k+1].data[:2048,:2036]=zero1[k+1].data[:2048,:2036]

zero.writeto(bias_name,clobber='Ture')

zero.close()


